Subject: Re: bug#31223: 25.3; New menus are empty with GTK3

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 May 2018 20:52:27 +0300

> From: Thomas Schneider <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 03 May 2018 10:36:59 +0200
> 
> >> If I open the menu with F10, they are filled normally, as well M-x
> >> accelerate-menu RET.
> >
> > And if, after that, you click on the menu with the mouse, you then see
> > the menu drop down normally?
> 
> Yes.  As soon as I once opened the menu via F10 or another method, I can
> use them with the mouse normally.  Until they are updated again
> (e. g. switching to a buffer with a different mode and own menus), then
> the content has disappeared again.

I guess someone needs to step through GTK-specific parts of xmenu.c,
where it fills up the menus, and through the relevant subroutines in
gtkutil.c, and see what fails there and why.